StaticImportVisitor (groovy 2.4.5 API)
Date: 2015-09-17

Package: org.codehaus.groovy.control

## [Java] Class StaticImportVisitor

- org.codehaus.groovy.control.StaticImportVisitor

- Visitor to resolve constants and method calls from static Imports

  Authors:
    Jochen Theodorou
    Paul King

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected SourceUnit` | `getSourceUnit()`
    `Expression` | `transform(Expression exp)`
    `protected Expression` | `transformBinaryExpression(BinaryExpression be)`
    `protected Expression` | `transformClosureExpression(ClosureExpression ce)`
    `protected Expression` | `transformConstructorCallExpression(ConstructorCallExpression cce)`
    `protected Expression` | `transformMethodCallExpression(MethodCallExpression mce)`
    `protected Expression` | `transformPropertyExpression(PropertyExpression pe)`
    `protected Expression` | `transformVariableExpression(VariableExpression ve)`
    `void` | `visitAnnotations(AnnotatedNode node)`
    `void` | `visitClass(ClassNode node, SourceUnit source)`
    `protected void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeExpressionTransformer` | `visitField, visitProperty, visitReturnStatement, visitForLoop, visitWhileLoop, visitDoWhileLoop, visitIfElse, visitExpressionStatement, visitAssertStatement, visitSwitch, visitCaseStatement, visitThrowStatement, visitSynchronizedStatement, visitAnnotations, transform, visitMethod, visitConstructor, visitTryCatchFinally, visitBreakStatement, visitContinueStatement, visitCatchStatement, visitBlockStatement, visitDeclarationExpression, visitClass, visitPackage, visitImports, visitClassExpression, visitPropertyExpression, visitListExpression, visitConstantExpression, visitClosureExpression, visitStaticMethodCallExpression, visitConstructorCallExpression, visitTernaryExpression, visitShortTernaryExpression, visitBinaryExpression, visitArgumentlistExpression, visitMethodCallExpression, visitTupleExpression, visitVariableExpression, visitPrefixExpression, visitPostfixExpression, visitBooleanExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitAttributeExpression, visitFieldExpression, visitMethodPointerExpression, visitGStringExpression, visitArrayExpression, visitSpreadExpression, visitSpreadMapExpression, visitNotExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitBitwiseNegationExpression, visitCastExpression, visitClosureListExpression, visitBytecodeExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class ClassCodeVisitorSupport` | `visitMethod, visitField, visitProperty, visitConstructor, visitReturnStatement, visitForLoop, visitWhileLoop, visitDoWhileLoop, visitIfElse, visitExpressionStatement, visitAssertStatement, visitTryCatchFinally, visitSwitch, visitCaseStatement, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitSynchronizedStatement, visitCatchStatement, visitBlockStatement, visitDeclarationExpression, visitClass, visitPackage, visitAnnotations, visitImports, visitClassExpression, visitPropertyExpression, visitListExpression, visitConstantExpression, visitClosureExpression, visitStaticMethodCallExpression, visitConstructorCallExpression, visitTernaryExpression, visitShortTernaryExpression, visitBinaryExpression, visitArgumentlistExpression, visitMethodCallExpression, visitTupleExpression, visitVariableExpression, visitPrefixExpression, visitPostfixExpression, visitBooleanExpression, visitMapExpression, visitMapEntryExpression, visitRangeExpression, visitAttributeExpression, visitFieldExpression, visitMethodPointerExpression, visitGStringExpression, visitArrayExpression, visitSpreadExpression, visitSpreadMapExpression, visitNotExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitBitwiseNegationExpression, visitCastExpression, visitClosureListExpression, visitBytecodeExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### protected SourceUnit getSourceUnit()

    - #### public Expression transform(Expression exp)

    - #### protected Expression transformBinaryExpression(BinaryExpression be)

    - #### protected Expression transformClosureExpression(ClosureExpression ce)

    - #### protected Expression transformConstructorCallExpression(ConstructorCallExpression cce)

    - #### protected Expression transformMethodCallExpression(MethodCallExpression mce)

    - #### protected Expression transformPropertyExpression(PropertyExpression pe)

    - #### protected Expression transformVariableExpression(VariableExpression ve)

    - #### @Override public void visitAnnotations(AnnotatedNode node)

    - #### public void visitClass(ClassNode node, SourceUnit source)

    - #### @Override protected void visitConstructorOrMethod(MethodNode node, boolean isConstructor)